import axios from 'axios';
import fetchAdapter from '@vespaiach/axios-fetch-adapter';
import { configLazadaApi } from '@/config/api';

const lazadaDomain = configLazadaApi.home;

export const apiShopeeClient = axios.create({
  baseURL: lazadaDomain,
  responseType: 'json',
  adapter: fetchAdapter,
  timeout: 10000,
});

apiShopeeClient.interceptors.response.use((response) => response.data);
